using System.Text;

namespace FabApprovalWorkerService.Models;

public class UserCertificationRecord {
    public required string FirstName { get; set; }
    public required string LastName { get; set; }
    public required string Email { get; set; }
    public bool IsCleansCertified { get; set; }
    public bool IsAnyLevelCertified { get; set; }
    public bool IsPackagingLabelingCertified { get; set; }
    public bool IsEpiProCertified { get; set; }
    public bool IsFqaCertified { get; set; }
    public bool IsFqaAssessmentCertified { get; set; }

    public override string ToString() {
        StringBuilder sb = new();
        sb.Append($"FirstName: {FirstName}, ");
        sb.Append($"LastName: {LastName}, ");
        sb.Append($"Email: {Email}, ");
        sb.Append($"IsCleansCertified: {IsCleansCertified}, ");
        sb.Append($"IsPackagingLabelingCertified: {IsPackagingLabelingCertified}, ");
        sb.Append($"IsEpiProCertified: {IsEpiProCertified}, ");
        sb.Append($"IsFqaCertified: {IsFqaCertified}, ");
        sb.Append($"IsFqaAssessmentCertified: {IsFqaAssessmentCertified}");
        return sb.ToString();
    }
}